Bug 745464 (CVE-2011-3557) - CVE-2011-3557 OpenJDK: RMI registry privileged code execution (RMI, 7083012)
Summary: CVE-2011-3557 OpenJDK: RMI registry privileged code execution (RMI, 7083012)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-3557
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 744786 744787 744788 744789 744819 744820 744822 769184 769185 769186 769324 769325 769326 769327 769328 814225 814226 814227 814228
Blocks: 744688
TreeView+ depends on / blocked
 
Reported: 2011-10-12 13:01 UTC by Tomas Hoger
Modified: 2021-02-24 14:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-24 11:14:24 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1380 0 normal SHIPPED_LIVE Critical: java-1.6.0-openjdk security update 2011-10-18 23:26:12 UTC
Red Hat Product Errata RHSA-2011:1384 0 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2011-10-19 17:22:32 UTC
Red Hat Product Errata RHSA-2012:0006 0 normal SHIPPED_LIVE Critical: java-1.4.2-ibm security update 2012-01-10 01:07:05 UTC
Red Hat Product Errata RHSA-2012:0034 0 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2012-01-19 00:24:35 UTC
Red Hat Product Errata RHSA-2012:0343 0 normal SHIPPED_LIVE Moderate: java-1.4.2-ibm-sap security update 2012-02-29 19:46:35 UTC
Red Hat Product Errata RHSA-2012:0508 0 normal SHIPPED_LIVE Critical: java-1.5.0-ibm security update 2013-11-15 00:09:52 UTC
Red Hat Product Errata RHSA-2013:1455 0 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2013-10-23 20:30:21 UTC

Description Tomas Hoger 2011-10-12 13:01:44 UTC
It was discovered that RMI Registry implementation in OpenJDK did not properly restrict privileges of remotely executed code.  A remote RMI client could use this flaw to execute code on the server with elevated privileges.

Comment 4 Vincent Danen 2011-10-18 20:53:51 UTC
External References:

http://www.oracle.com/technetwork/topics/security/javacpuoct2011-443431.html

Comment 5 errata-xmlrpc 2011-10-18 23:26:39 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2011:1380 https://rhn.redhat.com/errata/RHSA-2011-1380.html

Comment 7 errata-xmlrpc 2011-10-19 17:23:04 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5
  Extras for RHEL 4

Via RHSA-2011:1384 https://rhn.redhat.com/errata/RHSA-2011-1384.html

Comment 8 Fedora Update System 2011-11-05 01:27:07 UTC
java-1.6.0-openjdk-1.6.0.0-60.1.10.4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 errata-xmlrpc 2012-01-09 20:08:53 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2012:0006 https://rhn.redhat.com/errata/RHSA-2012-0006.html

Comment 10 errata-xmlrpc 2012-01-18 19:26:10 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Extras for RHEL 4
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:0034 https://rhn.redhat.com/errata/RHSA-2012-0034.html

Comment 11 errata-xmlrpc 2012-02-29 14:48:41 UTC
This issue has been addressed in following products:

  RHEL 4 for SAP
  RHEL 5 for SAP
  RHEL 6 for SAP

Via RHSA-2012:0343 https://rhn.redhat.com/errata/RHSA-2012-0343.html

Comment 12 errata-xmlrpc 2012-04-23 17:03:58 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:0508 https://rhn.redhat.com/errata/RHSA-2012-0508.html

Comment 13 errata-xmlrpc 2013-10-23 17:01:41 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2013:1455 https://rhn.redhat.com/errata/RHSA-2013-1455.html


Note You need to log in before you can comment on or make changes to this bug.